<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>io.piveau</groupId>
    <artifactId>rdf-utils</artifactId>
    <version>4.3.1</version>

    <distributionManagement>
        <repository>
            <id>paca</id>
            <name>Paca Releases Repo</name>
            <url>https://paca.okd.fokus.fraunhofer.de/repository/maven-releases/</url>
        </repository>
        <snapshotRepository>
            <id>paca</id>
            <url>https://paca.okd.fokus.fraunhofer.de/repository/maven-snapshots/</url>
        </snapshotRepository>
    </distributionManagement>

    <scm>
        <connection>scm:git:https://${GITLAB_USER}:${GITLAB_PASSWORD}@gitlab.fokus.fraunhofer.de/${CI_PROJECT_PATH}
        </connection>
        <url>https://${GITLAB_USER}:${GITLAB_PASSWORD}@gitlab.fokus.fraunhofer.de/${CI_PROJECT_PATH}</url>
        <developerConnection>
            scm:git:https://${GITLAB_USER}:${GITLAB_PASSWORD}@gitlab.fokus.fraunhofer.de/${CI_PROJECT_PATH}
        </developerConnection>
        <tag>HEAD</tag>
    </scm>

    <dependencies>
        <dependency>
            <groupId>commons-codec</groupId>
            <artifactId>commons-codec</artifactId>
            <version>1.12</version>
        </dependency>
        <dependency>
            <groupId>org.apache.jena</groupId>
            <artifactId>apache-jena-libs</artifactId>
            <version>3.10.0</version>
            <type>pom</type>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-release-plugin</artifactId>
                <version>2.5.3</version>
                <configuration>
                    <tagNameFormat>@{project.version}</tagNameFormat>
                </configuration>
            </plugin>
            <plugin>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.0</version>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>